<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.SystemMemory Property
DatabaseEnvironment Class See Also Send Feedback

If true, allocate region memory from system shared memory instead of from heap memory or memory backed by the filesystem.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool SystemMemory { get; }

Visual Basic (Declaration)

    Public ReadOnly Property SystemMemory As Boolean

Visual C++

    public:
    property bool SystemMemory {
    	bool get ();
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace